--- configure.in.orig	2003-03-24 02:48:21.000000000 -0600
+++ configure.in	2021-02-14 02:17:11.000000000 -0600
@@ -39,15 +39,22 @@
 	DEBUG="-O3"
 fi
 
-if test "x$mmd_sys_os" = "xSolaris"; then 
-	LIBBIN="ld -dy -r -o ../libsgml.so \${OBJS}"
-else
-	LIBBIN="\${CXX} \${DEBUG} -Wall -O3 -shared -fPIC -o ../libsgml.so \${OBJS}"
-fi
+case "$sys_os" in
+	Solaris)
+		LIBBIN="ld \${LDFLAGS} -dy -r -o ../libsgml.so \${OBJS}"
+		;;
+	Darwin)
+		LIBBIN="\${CC} \${LDFLAGS} \${DEBUG} -dynamiclib -fPIC -o ../libsgml.dylib -install_name \${prefix}/lib/libsgml.dylib \${OBJS}"
+		;;
+	*)
+		LIBBIN="\${CC} \${LDFLAGS} \${DEBUG} -shared -fPIC -o ../libsgml.so \${OBJS}"
+		;;
+esac
 
 AC_SUBST(LIBS)
 AC_SUBST(DEFINES)
 AC_SUBST(DEBUG)
 AC_SUBST(LIBBIN)
+AC_SUBST(prefix)
 
 AC_OUTPUT(Makefile src/Makefile examples/Makefile)
